LABS(3)

NAME
labs, llabs, qabs - return the absolute value of a long integer

SYNOPSIS
#include <stdlib.h>
long
labs(long i);
long long
llabs(long long j);
quad_t
qabs(quad_t j);

DESCRIPTION
The labs() function returns the absolute value of the long integer i. The llabs() function returns the absolute value of the long long integer j.

The qabs() function is a deprecated equivalent of llabs().

SEE ALSO
abs(3), cabs(3), floor(3), imaxabs(3)

STANDARDS
The labs() and llabs() functions conform to isoC-99.

BUGS
The absolute value of the most negative integer remains negative.